public class Recheneinheit {
  private double ergebnis;
  private String zeichen;
  
  // Erstellt ein neues Objekt vom Typ Recheneinheit.
  public Recheneinheit() {
    ergebnis = 0;
    zeichen = "";       
  }
  
  //Speichert ein neues Rechenzeichen.
  public void speichereRechenzeichen(String pZeichen){
    zeichen = pZeichen;
  }
  
  //Verarbeitet eine Zahl mit dem gespeicherten Rechnenzeichen 
  //und speichert das Ergebnis in ergebnis.
  public void verarbeiteZahl(double pZahl){
    if (zeichen != ""){        
      if (zeichen == "+") ergebnis = ergebnis + pZahl;
      if (zeichen == "-") ergebnis = ergebnis - pZahl;
      if (zeichen == "*") ergebnis = ergebnis * pZahl;
      if (zeichen == "/") ergebnis = ergebnis / pZahl;
      zeichen = "";
    } else {
      ergebnis = pZahl;     
    }      
    
  }

  //Liefert das gespeichete Ergebnis.
  public double gibErgebnis(){
    zeichen = "";       
    return ergebnis;
  }
  
  //Zieht die Wurfel aus dem gespeicherten Ergebnis.
  public void zieheWurzel(){
    ergebnis = Math.sqrt(ergebnis);
    zeichen = "";
  }  
  
  //Zetzt die Recheneinheit auf den Anfangszustand zurck.
  public void zuruecksetzen(){
    ergebnis = 0;
    zeichen = "";  
  }           
  
} 