import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class GUI extends JFrame {
  // Anfang Attribute
  private JTextField anzeige = new JTextField();
  private JButton knopf_C = new JButton();
  private JButton knopf_plusminus = new JButton();
  private JButton knopf_wurzel = new JButton();
  private JButton knopf_plus = new JButton();
  private JButton knopf_7 = new JButton();
  private JButton knopf_4 = new JButton();
  private JButton knopf_1 = new JButton();
  private JButton knopf_8 = new JButton();
  private JButton knopf_9 = new JButton();
  private JButton knopf_5 = new JButton();
  private JButton knopf_6 = new JButton();
  private JButton knopf_2 = new JButton();
  private JButton knopf_3 = new JButton();
  private JButton knopf_minus = new JButton();
  private JButton knopf_mal = new JButton();
  private JButton knopf_durch = new JButton();
  private JButton knopf_0 = new JButton();
  private JButton knopf_komma = new JButton();
  private JButton knopf_gleich = new JButton();
  // Ende Attribute

  private Recheneinheit recheneinheit;

  public GUI() { 
    // Frame-Initialisierung
    super("Taschenrechner");
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 387; 
    int frameHeight = 415;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    setTitle("Taschenrechner");
    anzeige.setBounds(16, 16, 342, 60);
    anzeige.setHorizontalAlignment(SwingConstants.RIGHT);
    anzeige.setFont(new Font("Dialog", Font.PLAIN, 24));
    cp.add(anzeige);
    knopf_C.setBounds(16, 96, 75, 41);
    knopf_C.setText("C");
    knopf_C.setMargin(new Insets(2, 2, 2, 2));
    knopf_C.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_C_ActionPerformed(evt);
        }
      });
    cp.add(knopf_C);
    knopf_plusminus.setBounds(104, 96, 75, 41);
    knopf_plusminus.setText("+ / -");
    knopf_plusminus.setMargin(new Insets(2, 2, 2, 2));
    knopf_plusminus.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_plusminus_ActionPerformed(evt);
        }
      });
    cp.add(knopf_plusminus);
    knopf_wurzel.setBounds(192, 96, 75, 41);
    knopf_wurzel.setText("SQRT");
    knopf_wurzel.setMargin(new Insets(2, 2, 2, 2));
    knopf_wurzel.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_wurzel_ActionPerformed(evt);
        }
      });
    cp.add(knopf_wurzel);
    knopf_plus.setBounds(280, 96, 75, 41);
    knopf_plus.setText("+");
    knopf_plus.setMargin(new Insets(2, 2, 2, 2));
    knopf_plus.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_plus_ActionPerformed(evt);
        }
      });
    cp.add(knopf_plus);
    knopf_7.setBounds(16, 152, 75, 41);
    knopf_7.setText("7");
    knopf_7.setMargin(new Insets(2, 2, 2, 2));
    knopf_7.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_7_ActionPerformed(evt);
        }
      });
    cp.add(knopf_7);
    knopf_4.setBounds(16, 208, 75, 41);
    knopf_4.setText("4");
    knopf_4.setMargin(new Insets(2, 2, 2, 2));
    knopf_4.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_4_ActionPerformed(evt);
        }
      });
    cp.add(knopf_4);
    knopf_1.setBounds(16, 264, 75, 41);
    knopf_1.setText("1");
    knopf_1.setMargin(new Insets(2, 2, 2, 2));
    knopf_1.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_1_ActionPerformed(evt);
        }
      });
    cp.add(knopf_1);
    knopf_8.setBounds(104, 152, 75, 41);
    knopf_8.setText("8");
    knopf_8.setMargin(new Insets(2, 2, 2, 2));
    knopf_8.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_8_ActionPerformed(evt);
        }
      });
    cp.add(knopf_8);
    knopf_9.setBounds(192, 152, 75, 41);
    knopf_9.setText("9");
    knopf_9.setMargin(new Insets(2, 2, 2, 2));
    knopf_9.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_9_ActionPerformed(evt);
        }
      });
    cp.add(knopf_9);
    knopf_5.setBounds(104, 208, 75, 41);
    knopf_5.setText("5");
    knopf_5.setMargin(new Insets(2, 2, 2, 2));
    knopf_5.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_5_ActionPerformed(evt);
        }
      });
    cp.add(knopf_5);
    knopf_6.setBounds(192, 208, 75, 41);
    knopf_6.setText("6");
    knopf_6.setMargin(new Insets(2, 2, 2, 2));
    knopf_6.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_6_ActionPerformed(evt);
        }
      });
    cp.add(knopf_6);
    knopf_2.setBounds(104, 264, 75, 41);
    knopf_2.setText("2");
    knopf_2.setMargin(new Insets(2, 2, 2, 2));
    knopf_2.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_2_ActionPerformed(evt);
        }
      });
    cp.add(knopf_2);
    knopf_3.setBounds(192, 264, 75, 41);
    knopf_3.setText("3");
    knopf_3.setMargin(new Insets(2, 2, 2, 2));
    knopf_3.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_3_ActionPerformed(evt);
        }
      });
    cp.add(knopf_3);
    knopf_minus.setBounds(280, 152, 75, 41);
    knopf_minus.setText("-");
    knopf_minus.setMargin(new Insets(2, 2, 2, 2));
    knopf_minus.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_minus_ActionPerformed(evt);
        }
      });
    cp.add(knopf_minus);
    knopf_mal.setBounds(280, 208, 75, 41);
    knopf_mal.setText("*");
    knopf_mal.setMargin(new Insets(2, 2, 2, 2));
    knopf_mal.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_mal_ActionPerformed(evt);
        }
      });
    cp.add(knopf_mal);
    knopf_durch.setBounds(280, 264, 75, 41);
    knopf_durch.setText("/");
    knopf_durch.setMargin(new Insets(2, 2, 2, 2));
    knopf_durch.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_durch_ActionPerformed(evt);
        }
      });
    cp.add(knopf_durch);
    knopf_0.setBounds(16, 320, 75, 41);
    knopf_0.setText("0");
    knopf_0.setMargin(new Insets(2, 2, 2, 2));
    knopf_0.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_0_ActionPerformed(evt);
        }
      });
    cp.add(knopf_0);
    knopf_komma.setBounds(104, 320, 75, 41);
    knopf_komma.setText(",");
    knopf_komma.setMargin(new Insets(2, 2, 2, 2));
    knopf_komma.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_komma_ActionPerformed(evt);
        }
      });
    cp.add(knopf_komma);
    knopf_gleich.setBounds(192, 320, 163, 41);
    knopf_gleich.setText("=");
    knopf_gleich.setMargin(new Insets(2, 2, 2, 2));
    knopf_gleich.addActionListener(new ActionListener() { 
        public void actionPerformed(ActionEvent evt) { 
          knopf_gleich_ActionPerformed(evt);
        }
      });
    cp.add(knopf_gleich);
    // Ende Komponenten

    setVisible(true);

    recheneinheit = new Recheneinheit();
  } // end of public GUI

  // Anfang Ereignismethoden

  public void knopf_komma_ActionPerformed(ActionEvent evt) {
    if (anzeige.getText().indexOf(".") == -1) {
      anzeige.setText(anzeige.getText() + ".");
    }
  }

  public void knopf_plusminus_ActionPerformed(ActionEvent evt) {
    if (anzeige.getText().substring(0,1).equals("-")) {
      anzeige.setText(anzeige.getText().substring(1));
    } else {
      anzeige.setText("-"+anzeige.getText());
    }     
  }

  public void knopf_0_ActionPerformed(ActionEvent evt) {
    if (!anzeige.getText().equals("0")) {
      anzeige.setText(anzeige.getText()+"0");      
    }
  }

  public void knopf_1_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"1");      
  }

  public void knopf_2_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"2");                                         
  }

  public void knopf_3_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"3");
  }

  public void knopf_4_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"4");
  }

  public void knopf_5_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"5");
  }

  public void knopf_6_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"6");
  }                     

  public void knopf_7_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"7");
  }

  public void knopf_8_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"8");
  }

  public void knopf_9_ActionPerformed(ActionEvent evt) {
    anzeige.setText(anzeige.getText()+"9");
  }   

  //------------ Methoden zu ergnzen -------------------------

  //Verarbeitet die aktuelle Zahl in der Anzeige mit dem gespeicherten 
  //Rechenzeichen und speichert das neue Rechenzeichen.
  public void knopf_plus_ActionPerformed(ActionEvent evt) {
    recheneinheit.verarbeiteZahl(Double.parseDouble(anzeige.getText()));
    recheneinheit.speichereRechenzeichen("+");  
    anzeige.setText("" + recheneinheit.gibErgebnis());    
  }
  
  //Verarbeitet die aktuelle Zahl in der Anzeige mit dem gespeicherten 
  //Rechenzeichen und speichert das neue Rechenzeichen.
  public void knopf_minus_ActionPerformed(ActionEvent evt) {
    
  }

  //Verarbeitet die aktuelle Zahl in der Anzeige mit dem gespeicherten 
  //Rechenzeichen und speichert das neue Rechenzeichen.
  public void knopf_mal_ActionPerformed(ActionEvent evt) {

  }

  //Verarbeitet die aktuelle Zahl in der Anzeige mit dem gespeicherten 
  //Rechenzeichen und speichert das neue Rechenzeichen.
  public void knopf_durch_ActionPerformed(ActionEvent evt) {

  }

  //Setzt die Recheneinheit zurck und die Anzeige auf 0.
  public void knopf_C_ActionPerformed(ActionEvent evt) {

  }

  //Zieht die Wurzel und aktualisiert die Anzeige.
  public void knopf_wurzel_ActionPerformed(ActionEvent evt) {

  }

  //Verarbeitet die aktuelle Zahl in der Anzeige mit dem gespeicherten 
  //Rechenzeichen und szeigt das Ergebnis.
  public void knopf_gleich_ActionPerformed(ActionEvent evt) {

  }   

  // Ende Methoden
}
